TESTKSPY(1)

NAME
testkspy - show off KSpy's capabilities

SYNOPSIS
testkspy [ generic-options ]

DESCRIPTION
This manual page documents briefly the testkspy command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

testkspy is a small application that shows off KSpy's capabilities. It simply uses KSpy to spy on itself.

KSpy is a tiny library which can be used to graphically display the QObjects in use by a Qt/KDE app. In addition to the object tree, you can also view the properties, signals and slots of any QObject.

Basically it provides much the same info as QObject::dumpObjectTree() and QObject::dumpObjectInfo(), but in a much more convenient form. KSpy has minimal overhead for the application, because the kspy library is loaded dynamically using KLibLoader.

This utility is part of the KDE Software Development Kit.

OPTIONS
For a full summary of options, run testkspy --help.

SEE ALSO
Instructions on using KSpy with your own applications can be found in /usr/share/doc/kspy/README.

AUTHOR
KSpy was written by Richard Moore <rich@kde.org>.
This manual page was written by Ben Burton <benb@acm.org> for the Debian GNU/Linux system (but may be used by others).